<?php

// Register widgetized areas
function child_theme_widgets_init() {

//  register_sidebar( array (
//  'name' => 'Post-Header Left Widget Area',
//  'id' => 'post-header_left_widget_area', 
//  'description' => __( 'Appears in the post-header of all pages', 'ame-2021' ),
//  'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
//  'after_widget' => "</li>"
//  ) );
//
//  register_sidebar( array (
//  'name' => 'Post-Header Right Widget Area',
//  'id' => 'post-header_right_widget_area', 
//  'description' => __( 'Appears in the post-header of all pages', 'ame-2021' ),
//  'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
//  'after_widget' => "</li>"
//  ) );

  register_sidebar( array (
  'name' => 'Header Top Widget Area',
  'id' => 'header_top_widget_area', 
  'description' => __( 'Appears in the header of all pages', 'ame-2021' ),
  'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
  'after_widget' => "</li>"
  ) );

  register_sidebar( array (
  'name' => 'Header Left Widget Area',
  'id' => 'header_left_widget_area', 
  'description' => __( 'Appears in the header of all pages', 'ame-2021' ),
  'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
  'after_widget' => "</li>"
  ) );

  register_sidebar( array (
  'name' => 'Header Right Widget Area',
  'id' => 'header_right_widget_area', 
  'description' => __( 'Appears in the header of all pages', 'ame-2021' ),
  'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
  'after_widget' => "</li>"
  ) );

  register_sidebar( array (
  'name' => 'Header Right Google Ads Widget Area',
  'id' => 'header_right_ad_widget_area', 
  'description' => __( 'Appears in the header of Google Ads landing pages', 'ame-2021' ),
  'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
  'after_widget' => "</li>"
  ) );

  register_sidebar( array (
  'name' => 'Footer Top Widget Area',
  'id' => 'footer_top_widget_area', 
  'description' => __( 'Appears in the footer of all pages', 'ame-2021' ),
  'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
  'after_widget' => "</li>"
  ) );

  register_sidebar( array (
  'name' => 'Footer Left Widget Area',
  'id' => 'footer_left_widget_area', 
  'description' => __( 'Appears in the footer of all pages', 'ame-2021' ),
  'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
  'after_widget' => "</li>"
  ) );

//  register_sidebar( array (
//  'name' => 'Footer Left Center Widget Area',
//  'id' => 'footer_left_center_widget_area', 
//  'description' => __( 'Appears in the footer of all pages', 'ame-2021' ),
//  'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
//  'after_widget' => "</li>"
//  ) );

  register_sidebar( array (
  'name' => 'Footer Center Widget Area',
  'id' => 'footer_center_widget_area', 
  'description' => __( 'Appears in the footer of all pages', 'ame-2021' ),
  'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
  'after_widget' => "</li>"
  ) );

//  register_sidebar( array (
//  'name' => 'Footer Right Center Widget Area',
//  'id' => 'footer_right_center_widget_area', 
//  'description' => __( 'Appears in the footer of all pages', 'ame-2021' ),
//  'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
//  'after_widget' => "</li>"
//  ) );

  register_sidebar( array (
  'name' => 'Footer Right Widget Area',
  'id' => 'footer_right_widget_area', 
  'description' => __( 'Appears in the footer of all pages', 'ame-2021' ),
  'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
  'after_widget' => "</li>"
  ) );

  register_sidebar( array (
  'name' => 'Footer Bottom Widget Area',
  'id' => 'footer_bottom_widget_area', 
  'description' => __( 'Appears in the footer of all pages', 'ame-2021' ),
  'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
  'after_widget' => "</li>"
  ) );
  
} // end theme_widgets_init

add_action( 'widgets_init', 'child_theme_widgets_init' );

function remove_unwanted_widgets(){
	

	// Unregister some of the parent theme sidebars
	unregister_sidebar( 'page_right_widget_area' );
	unregister_sidebar( 'blog_right_widget_area' );
	unregister_sidebar( 'page_bottom_widget_area' );
	unregister_sidebar( 'page_bottom_left_widget_area' );
	unregister_sidebar( 'page_bottom_right_widget_area' );
	unregister_sidebar( 'header_widget_area' );
	unregister_sidebar( 'footer_widget_area' );
}
add_action( 'widgets_init', 'remove_unwanted_widgets', 11 );

if ( ! isset( $content_width ) ) {
    $content_width = 1145;
}

// register the menus
add_action( 'init', 'register_home_menu' );
function register_home_menu() {
  register_nav_menus(
    array(
      'topnavMobile-menu' => __( 'Topnav Mobile Menu' )
    )
  );
}

function eb_enqueue_my_styles_scripts() {
    wp_enqueue_style( 'bootstrap', '//stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css' );
    wp_enqueue_style( 'eb-blank-canvas', get_template_directory_uri() . '/css/wp.css' );
    wp_enqueue_style( 'ame-2021', get_stylesheet_uri() );
	
    // jQuery is stated as a dependancy of bootstrap-js - it will be loaded by WordPress before the BS scripts 
	wp_enqueue_script( 'popper-js', '//cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js', array('jquery'), true );
    wp_enqueue_script( 'bootstrap-js', '//stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js', array('jquery'), true ); // all the bootstrap javascript goodness
    wp_enqueue_script( 'fontawesome-js', '//kit.fontawesome.com/251cbd409d.js' );
}
add_action('wp_enqueue_scripts', 'eb_enqueue_my_styles_scripts');


// Declare WooCommerce support

remove_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10);
remove_action( 'woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10);

add_action('woocommerce_before_main_content', 'my_theme_wrapper_start', 10);
add_action('woocommerce_after_main_content', 'my_theme_wrapper_end', 10);

function my_theme_wrapper_start() {
  echo '<div id="container"><div id="content" role="main" class="container woocommerce">';
}

function my_theme_wrapper_end() {
  echo '</div></div>';
}

add_action( 'after_setup_theme', 'woocommerce_support' );
function woocommerce_support() {
    add_theme_support( 'woocommerce' );
}

// Hide placeholder images in WooCommerce
function woocommerce_template_loop_product_thumbnail() {
    global $post;
    if ( has_post_thumbnail() )
          echo get_the_post_thumbnail( $post->ID, 'shop_catalog' );
}
function woocommerce_show_product_images() {
    global $post;
    if ( has_post_thumbnail() )
           wc_get_template( 'single-product/product-image.php' );
}

add_action( 'after_setup_theme', 'my_theme_setup' );
 
function my_theme_setup() {
    add_theme_support( 'wc-product-gallery-zoom' );
    add_theme_support( 'wc-product-gallery-lightbox' );
    add_theme_support( 'wc-product-gallery-slider' );
}

function eb_get_custom_field() {
	global $post; 
	$custom_field_value = get_post_meta( $post->ID, 'part-number', true );
	return $custom_field_value; 
} 
add_shortcode('unf_part_number', 'eb_get_custom_field'); 
