<?php

	add_theme_support( 'menus' );


	// This theme uses Featured Images (also known as post thumbnails) for per-post/per-page Custom Header images
	add_theme_support( 'post-thumbnails' );
	// Add support for custom backgrounds
	add_custom_background();


// Make theme available for translation
// Translations can be filed in the /languages/ directory
load_theme_textdomain( 'eb-bc-2017', TEMPLATEPATH . '/languages' );

$locale = get_locale();
$locale_file = TEMPLATEPATH . "/languages/$locale.php";
if ( is_readable($locale_file) )
	require_once($locale_file);

// register the menus
add_action( 'init', 'register_my_menus' );
function register_my_menus() {
  register_nav_menus(
    array(
      'topnav-menu' => __( 'Topnav Menu' )
    )
  );
}

// Get a page by URL - electricbricks
function show_post($path) {
  $post = get_page_by_path($path);
  $content = apply_filters('the_content', $post->post_content);
  echo $content;
} // end show_post

// Get the page number
function get_page_number() {
    if (get_query_var('paged')) {
        print ' | ' . __( 'Page ' , 'eb-bc-2017') . get_query_var('paged');
    }
} // end get_page_number


//function my_scripts_method() {
//    wp_deregister_script( 'jquery' );
//    wp_register_script( 'jquery', 'https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js');
//    wp_enqueue_script( 'jquery' );
//}    
// 
//add_action('wp_enqueue_scripts', 'my_scripts_method');



// For category lists on category archives: Returns other categories except the current one (redundant)
function cats_meow($glue) {
	$current_cat = single_cat_title( '', false );
	$separator = "\n";
	$cats = explode( $separator, get_the_category_list($separator) );
	foreach ( $cats as $i => $str ) {
		if ( strstr( $str, ">$current_cat<" ) ) {
			unset($cats[$i]);
			break;
		}
	}
	if ( empty($cats) )
		return false;

	return trim(join( $glue, $cats ));
} // end cats_meow


// For tag lists on tag archives: Returns other tags except the current one (redundant)
function tag_ur_it($glue) {
	$current_tag = single_tag_title( '', '',  false );
	$separator = "\n";
	$tags = explode( $separator, get_the_tag_list( "", "$separator", "" ) );
	foreach ( $tags as $i => $str ) {
		if ( strstr( $str, ">$current_tag<" ) ) {
			unset($tags[$i]);
			break;
		}
	}
	if ( empty($tags) )
		return false;

	return trim(join( $glue, $tags ));
} // end tag_ur_it


// Register widgetized areas
function theme_widgets_init() {
	
  register_sidebar( array (
  'name' => 'Page Right Widget Area',
  'id' => 'page_right_widget_area',
  'description' => __( 'Appears to the right of the content of all pages except the home page', 'eb-bc-2017' ),
  'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
  'after_widget' => "</li>",
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>'
  ) );
	
  register_sidebar( array (
  'name' => 'Blog Right Widget Area',
  'id' => 'blog_right_widget_area',
  'description' => __( 'Appears to the right of the content of all blog pages', 'eb-bc-2017' ),
  'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
  'after_widget' => "</li>",
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>'
  ) );

  register_sidebar( array (
  'name' => 'Page Bottom Widget Area',
  'id' => 'page_bottom_widget_area', 
  'description' => __( 'Appears at the bottom of the content of all pages. Designed to hold 2 widgets.', 'eb-bc-2017' ),
  'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
  'after_widget' => "</li>",
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>'
  ) );

  register_sidebar( array (
  'name' => 'Page Bottom Left Widget Area',
  'id' => 'page_bottom_left_widget_area', 
  'description' => __( 'Appears at the bottom of the content of all pages. Designed to hold 1 widget on the bottom left.', 'eb-bc-2017' ),
  'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
  'after_widget' => "</li>",
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>'
  ) );

  register_sidebar( array (
  'name' => 'Page Bottom Right Widget Area',
  'id' => 'page_bottom_right_widget_area', 
  'description' => __( 'Appears at the bottom of the content of all pages. Designed to hold 1 widget on the bottom right.', 'eb-bc-2017' ),
  'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
  'after_widget' => "</li>",
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>'
  ) );

//  register_sidebar( array (
//  'name' => 'Page Bottom 2 Widget Area',
//  'id' => 'page_bottom_2_widget_area', 
//  'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
//  'after_widget' => "</li>",
//	'before_title' => '<h3 class="widget-title">',
//	'after_title' => '</h3>'
//  ) );

  register_sidebar( array (
  'name' => 'Header Widget Area',
  'id' => 'header_widget_area', 
  'description' => __( 'Appears in the header of all pages', 'eb-bc-2017' ),
  'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
  'after_widget' => "</li>"
  ) );

  register_sidebar( array (
  'name' => 'Footer Widget Area',
  'id' => 'footer_widget_area', 
  'description' => __( 'Appears in the footer of all pages', 'eb-bc-2017' ),
  'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
  'after_widget' => "</li>"
  ) );
} // end theme_widgets_init

add_action( 'widgets_init', 'theme_widgets_init' );


// Pre-set Widgets
//$preset_widgets = array (
	//'primary_widget_area'  => array( 'search', 'pages', 'categories', 'archives' ),
	//'secondary_widget_area'  => array( 'links', 'meta' )
//);
//if ( !isset( $_GET['activated'] ) ) {
	//update_option( 'sidebars_widgets', $preset_widgets );
//}
// update_option( 'sidebars_widgets', NULL );


// Check for static widgets in widget-ready areas
function is_sidebar_active( $index ){
  global $wp_registered_sidebars;

  $widgetcolums = wp_get_sidebars_widgets();
		 
  if ($widgetcolums[$index]) return true;
  
	return false;
} // end is_sidebar_active


// Produces an avatar image with the hCard-compliant photo class
function commenter_link() {
	$commenter = get_comment_author_link();
	if ( ereg( '<a[^>]* class=[^>]+>', $commenter ) ) {
		$commenter = ereg_replace( '(<a[^>]* class=[\'"]?)', '\\1url ' , $commenter );
	} else {
		$commenter = ereg_replace( '(<a )/', '\\1class="url "' , $commenter );
	}
	$avatar_email = get_comment_author_email();
	$avatar = str_replace( "class='avatar", "class='photo avatar", get_avatar( $avatar_email, 80 ) );
	echo $avatar . ' <span class="fn n">' . $commenter . '</span>';
} // end commenter_link


// Custom callback to list comments in the your-theme style
function custom_comments($comment, $args, $depth) {
  $GLOBALS['comment'] = $comment;
	$GLOBALS['comment_depth'] = $depth;
  ?>
  	<li id="comment-<?php comment_ID() ?>" <?php comment_class() ?>>
  		<div class="comment-author vcard"><?php commenter_link() ?></div>
  		<div class="comment-meta"><?php printf(__('Posted %1$s at %2$s <span class="meta-sep">|</span> <a href="%3$s" title="Permalink to this comment">Permalink</a>', 'eb-bc-2017'),
  					get_comment_date(),
  					get_comment_time(),
  					'#comment-' . get_comment_ID() );
  					edit_comment_link(__('Edit', 'eb-bc-2017'), ' <span class="meta-sep">|</span> <span class="edit-link">', '</span>'); ?></div>
  <?php if ($comment->comment_approved == '0') _e("\t\t\t\t\t<span class='unapproved'>Your comment is awaiting moderation.</span>\n", 'eb-bc-2017') ?>
          <div class="comment-content">
      		<?php comment_text() ?>
  		</div>
		<?php // echo the comment reply link
			if($args['type'] == 'all' || get_comment_type() == 'comment') :
				comment_reply_link(array_merge($args, array(
					'reply_text' => __('Reply','eb-bc-2017'), 
					'login_text' => __('Log in to reply.','eb-bc-2017'),
					'depth' => $depth,
					'before' => '<div class="comment-reply-link">', 
					'after' => '</div>'
				)));
			endif;
		?>
<?php } // end custom_comments


// Custom callback to list pings
function custom_pings($comment, $args, $depth) {
       $GLOBALS['comment'] = $comment;
        ?>
    		<li id="comment-<?php comment_ID() ?>" <?php comment_class() ?>>
    			<div class="comment-author"><?php printf(__('By %1$s on %2$s at %3$s', 'eb-bc-2017'),
    					get_comment_author_link(),
    					get_comment_date(),
    					get_comment_time() );
    					edit_comment_link(__('Edit', 'eb-bc-2017'), ' <span class="meta-sep">|</span> <span class="edit-link">', '</span>'); ?></div>
    <?php if ($comment->comment_approved == '0') _e('\t\t\t\t\t<span class="unapproved">Your trackback is awaiting moderation.</span>\n', 'eb-bc-2017') ?>
            <div class="comment-content">
    			<?php comment_text() ?>
			</div>
<?php } // end custom_pings


function my_login_logo() { ?>
    <style type="text/css">
        body.login div#login h1 a {
            background-image:url(<?php echo get_bloginfo( 'template_directory' ) ?>/images/logo-login.png);
			background-size:323px 85px;
			padding-bottom:25px;
			width:323px;
        }
    </style>
<?php }
add_action( 'login_enqueue_scripts', 'my_login_logo' );